Loading...
Searching...
No Matches
chan_list Struct Reference
Rig (transceiver) API

Memory channel list definition. More...

`#include <rig.h>`

Collaboration diagram for chan_list:
[legend]

## Data Fields

int | startc
int | endc
chan_type_t | type
channel_cap_t | mem_caps

## Detailed Description

Memory channel list definition.

Example for the Ic706MkIIG (99 memory channels, 2 scan edges, 2 call chans):

chan_t chan_list[] = {
{ 1, 99, RIG_MTYPE_MEM },
{ 100, 103, RIG_MTYPE_EDGE },
{ 104, 105, RIG_MTYPE_CALL },
RIG_CHAN_END
}
chan_t
struct chan_list chan_t
chan_t type
Definition rig.h:1718
RIG_MTYPE_EDGE
@ RIG_MTYPE_EDGE
Definition rig.h:1673
RIG_MTYPE_MEM
@ RIG_MTYPE_MEM
Definition rig.h:1672
RIG_MTYPE_CALL
@ RIG_MTYPE_CALL
Definition rig.h:1674
chan_list
Memory channel list definition.
Definition rig.h:1698

## Field Documentation

## endc

int chan_list::endc

Ending memory channel number

## mem_caps

channel_cap_t chan_list::mem_caps

Definition of attributes that can be stored/retrieved

## startc

int chan_list::startc

Starting memory channel number

## type

chan_type_t chan_list::type

Memory type. See chan_type_t

The documentation for this struct was generated from the following file:

- rig.h